autoload -U compinit && compinit
zmodload -i zsh/complist

# caching
zstyle ':completion::complete:*' use-cache on
zstyle ':completion::complete:*' cache-path ~/.cache/zsh
zstyle ':completion::complete:*' rehash on
zstyle ':completion:*:default' rehash on

# case-insensitive
zstyle ':completion:*' matcher-list 'm:{a-z}={A-Za-z}'

# no menus
zstyle ':completion:*' menu no

# fzf-tab
zstyle ':fzf-tab:complete:cd:*' fzf-preview 'eza --tree --level=2 --color=always $realpath'
