# fzf
export FZF_CTRL_T_COMMAND="$FZF_DEFAULT_COMMAND"
export FZF_ALT_C_COMMAND="$FZF_DEFAULT_COMMAND"
command -v fzf &>/dev/null && eval "$(fzf --zsh)"

# direnv
command -v direnv &>/dev/null && eval "$(direnv hook zsh)"

# starship
command -v starship &>/dev/null && eval "$(starship init zsh)"

# zoxide
command -v zoxide &>/dev/null && eval "$(zoxide init --cmd cd zsh)"
